Actions APIReferenceVaultsSlugMint
Quote the share amount for a deposit into a Nest vault.
Path Parameters
slug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
depositAsset*string
ERC20 address of the deposit asset on the requested chain.
Match
^0x[a-fA-F0-9]{40}$depositAmount*string
Raw base-unit amount of the deposit asset (string for bigint safety).
Match
^\d+$chainId*integer
EVM chain ID. Must be one of the supported chains (Plume=98866, Ethereum=1, BSC=56, Plasma=9745, Avalanche=43114) and must match a chain the vault is deployed on.
Range
0 < valueResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/vaults/nest-wisdom-vault/mint/quote" \ -H "Content-Type: application/json" \ -d '{ "depositAsset": "0xdddd73f5df1f0dc31373357beac77545dc5a6f3f", "depositAmount": "1000000", "chainId": 98866 }'{ "data": { "slug": "string", "shareTokenAddress": "string", "depositAsset": "string", "depositAmount": "string", "depositDecimals": 0, "shareAmount": "string", "shareDecimals": 0, "rate": "string", "rateDecimals": 0, "feeAmount": "string", "fees": { "ratePpm": 0, "flatAmount": "string", "maxRatePpm": 0, "maxFlatAmount": "string" }, "steps": [ { "label": "approve", "description": "string" } ] }}